Subject: bug#29485: closed (Re: bug#29485: perl-geo-ip is broken since ever!)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 22 Dec 2020 19:25:02 +0000

Your bug report

#29485: perl-geo-ip has /usr/share/ within the code

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29485: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29485
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29485: perl-geo-ip is broken since ever!
From: Leo Famulari <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked], [email-masked], ng0 <[email-masked]>
Date: Tue, 22 Dec 2020 14:24:44 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Dec 22, 2020 at 06:00:38PM +0100, zimoun wrote:
> Hi,
> 
> On Thu, 03 Dec 2020 at 01:08, Leo Famulari <[email-masked]> wrote:
> > On Thu, Dec 03, 2020 at 01:34:23AM +0100, zimoun wrote:
> >> It is a problem and the package is broken.  I am assuming this package
> >> is not used so I am proposing to simply remove it.  Otherwise, the
> >> database should be also packaged, else it appears to me meaningless.
> >
> > Removal sounds good to me.
> 
> See 45372.  Once merged, let close this one.

Done with commit 06de9ca75f4bb508cdba3082d8ae80f014dbc38b

Subject: perl-geo-ip has /usr/share/ within the code
From: ng0 <[email-masked]>
To: [email-masked]
Date: Tue, 28 Nov 2017 15:41:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm searching for a good solution to analyze some logs. Geo::IP
is good enough. Now the problem is this:

user@abyayala /gnu/store/5mhrli41qbcpns3gg0yf1vv07lvpg8hm-perl-geo-ip-1.51$ egrep -nr "/usr/" lib/perl5/site_perl/5.26.0/
lib/perl5/site_perl/5.26.0/Geo/IP/Record.pod:9:  my $gi = Geo::IP->open("/usr/local/share/GeoIP/GeoIPCity.dat", GEOIP_STANDARD);
lib/perl5/site_perl/5.26.0/Geo/IP.pm:5075:# default path /usr/local/share/GeoIP
lib/perl5/site_perl/5.26.0/Geo/IP.pm:5159:    my $def_db_file = '/usr/local/share/GeoIP/GeoIP.dat';
lib/perl5/site_perl/5.26.0/Geo/IP.pm:5962:  my $gi = Geo::IP->open("/usr/local/share/GeoIP/GeoIPCity.dat", GEOIP_STANDARD);
lib/perl5/site_perl/5.26.0/Geo/IP.pm:5984:  my $g = Geo::IP->open('/usr/local/share/GeoIP/GeoIPv6.dat') or die;
lib/perl5/site_perl/5.26.0/Geo/IP.pm:6046:I<datadir>, typically I</usr/local/share/GeoIP/GeoIP.dat>.
lib/perl5/site_perl/5.26.0/Geo/IP.pm:6078:typically I</usr/local/share/GeoIP/GeoIPCity.dat>.
lib/perl5/site_perl/5.26.0/Geo/IP.pm:6226:  my $g = Geo::IP->open('/usr/local/share/GeoIP/GeoIPv6.dat') or die;

However this is not really a problem unless you are on GuixSD.
As we do not package the DB of MaxDB (yet) you'll need for this, it's
not a problem. I'm filing this bug to remind myself to fix Geo::IP once
I have revisited the discussion we had about the DB a while back.
-- 
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://c.n0.is/ng0_pubkeys/tree/keys
  WWW: https://n0.is